liblualib50_5.0.3-8+b1_i386.deb


Advertisement

Description

liblualib50 - Extension library for the Lua 5.0 programming language

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblualib50_5.0.3-8+b1_i386.deb
Package name liblualib50
Package version 5.0.3
Package release 8+b1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.lua.org
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 35.36 KB
Installed size 109.00 KB
This package provides string, maths and IO functions to liblua50.
This package will most commonly be installed by programs depending on it
or by authors using the liblualib50-dev package

Alternatives

Package Version Architecture Repository
liblualib50_5.0.3-8+b1_amd64.deb 5.0.3 amd64 Debian Main
liblualib50 - - -

Requires

Name Value
libc6 >= 2.7
liblua50 >= 5.0.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblualib50_5.0.3-8+b1_i386.deb
Source Package lua50

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblualib50 deb package:
    # sudo apt-get install liblualib50

Files

Path
/usr/lib/liblualib50.so.5
/usr/lib/liblualib50.so.5.0
/usr/share/doc/liblualib50/NEWS.Debian.gz
/usr/share/doc/liblualib50/changelog.Debian.gz
/usr/share/doc/liblualib50/changelog.Debian.i386.gz
/usr/share/doc/liblualib50/copyright
/usr/share/lua/50/compat-5.1.lua

Changelog

2016-08-05 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-8) unstable; urgency=medium
* Add "build-arch" and "build-indep" targets, patch by Santiago Vila
(Closes: #822054) 
2011-07-23 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-7) unstable; urgency=low
* Package moved to git
2011-07-23 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-6) unstable; urgency=low
* source format 3.0 (quilt) 
2011-07-20 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-5) unstable; urgency=low
* Build-depend on libreadline-dev (Closes: #553806) 
* Bump standards-versiont to 3.9.2, no changes
* Depend on ${misc:Depends} to make lintian happy
2009-09-27 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-4) unstable; urgency=low
* cheange lua to Lua in package description
* updated Vcs-* fields
* bumped standards-version to 3.8.3
* added README.source 
* fixed doc-base section, now it is Programming
2006-09-16 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-3) unstable; urgency=low
* made control file binNMU safe
* commented out upstream strip of binaries (Closes: #437542)
2006-09-15 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-2) unstable; urgency=low
* Removed compatibility layer with lua40 (both compat.lua and -C switch).
* Added compat-5.1r5 to liblualib50 (both the .o and the .lua).
* Added LUA_CPATH environment variable and fixed LUA_PATH to include
/usr/share/lua/50 (/usr/share/lua50 is preserved for backward
compatibility).
* Fixed .pc to report the correct version and to include the definition
of INSTALL_LMOD and INSTALL_CMOD.
2006-08-10 - Enrico Tassi <gareuselesinge@debian.org>
lua50 (5.0.3-1) unstable; urgency=low
* New upstream release (Closes: #378764)
* Applied patch to fix -l (Closes: #370633)
* The current interpreter returns 1 in case of fatal error (Closes: #359132)
* Enrico Tassi <gareuselesinge@debian.org> adopted lua50 (Closes: #339009) 
* Updated standards to 3.7.2
2006-04-09 - Matej Vela <vela@debian.org>
lua50 (5.0.2-6) unstable; urgency=low
* QA upload.
* Package is orphaned (#339009); set maintainer to Debian QA Group.
* Acknowledge NMU.  Closes: #326327.
* Switch to debhelper 5.
* Make liblua50-dev and liblualib50-dev depend on exact versions of
liblua50 and liblualib50 respectively (per Policy 8.5).
* Make liblua50-dev and liblualib50-dev depend on libc6-dev.
* Remove Lintian override for `unusual-interpreter #!/usr/bin/lua50';
this is a bug in Lintian (#361644).
* debian/lua50-doc.doc-base: Fix authors list.
* debian/liblua50-dev.postinst, debian/liblua50-dev.prerm,
debian/lua50.postinst, debian/lua50.prerm: Use `set -e'.
* debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
* debian/watch: Add.
* Conforms to Standards version 3.6.2.
2005-12-24 - Don Armstrong <don@debian.org>
lua50 (5.0.2-5.1) unstable; urgency=low
* Non Maintainer Upload
* Build-Depend on libreadline5-dev instead of libreadline4
(closes: #326327)

See Also

Package Description
liblucene++-contrib0v5_3.0.7-10+b1_i386.deb Shared library with Lucene++ contributions
liblucene++-dev_3.0.7-10+b1_i386.deb Development files for Lucene++
liblucene++-doc_3.0.7-10_all.deb Reference manual for Lucene++
liblucene++0v5_3.0.7-10+b1_i386.deb Shared library for Lucene++
liblucene-queryparser-perl_1.04-3_all.deb Turn a Lucene query into a Perl data structure
liblucene3-contrib-java_3.6.2+dfsg-20_all.deb Full-text search engine library for Java - additional libraries
liblucene3-java_3.6.2+dfsg-20_all.deb Full-text search engine library for Java - core library
liblucene4.10-java_4.10.4+dfsg-5_all.deb Full-text search engine library for Java(TM)
libluksmeta-dev_9-3_i386.deb library to access metadata in the LUKSv1 header - development files
libluksmeta0_9-3_i386.deb library to access metadata in the LUKSv1 header
liblunar-date-2.0-0_2.4.0-5_i386.deb Chinese Lunar library based on GObject
liblunar-date-dev_2.4.0-5_i386.deb Chinese Lunar library based on GObject - develop files
liblunar-date-doc_2.4.0-5_all.deb Chinese Lunar library based on GObject - API documents
liblur-dev_0.9.905-1_i386.deb Logitech Unifying Receiver access library - dev files
liblur3_0.9.905-1_i386.deb Logitech Unifying Receiver access library
Advertisement
Advertisement